> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Instruments

export const get_pagination_defaults = (resource_name = 'records') => [{
  name: 'from_date',
  type: 'string',
  required: false,
  description: `ISO 8601 formatted date (YYYY-MM-DD) to filter for ${resource_name} created on or after the date provided.`
}, {
  name: 'to_date',
  type: 'string',
  required: false,
  description: `ISO 8601 formatted date (YYYY-MM-DD) to filter for ${resource_name} created on or before the date provided.`
}, {
  name: 'page',
  type: 'string',
  required: false,
  description: `The page number to return.`
}, {
  name: 'page_cursor',
  type: 'string',
  required: false,
  description: <>
        The ID of a resource from which a page should start or end. Mutually exclusive with <code>page</code>.
      </>
}, {
  name: 'page_limit',
  type: 'string',
  required: false,
  description: `The number of ${resource_name} to return per page. Default and maximum is 100.`
}];

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Retrieves a list of PaymentInstrument objects for an Account.

## Path Parameters

<ParamList
  items={[
{
name: 'acc_id',
type: 'string',
required: true,
description: 'The ID of the Account'
}
]}
/>

## Query Parameters

<ParamList
  items={[
...get_pagination_defaults('Payment Instruments'),
]}
/>

## Returns

Returns a list of PaymentInstrument objects.

<RequestExample>
  ```bash cURL theme={null}
  curl "https://production.methodfi.com/accounts/acc_4m9amk4KFiaQX/payment_instruments" \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .accounts('acc_4m9amk4KFiaQX')
    .paymentInstruments
    .list();
  ```

  ```python Python theme={null}
  response = method
    .accounts('acc_4m9amk4KFiaQX')
    .payment_instruments
    .list()
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": [
      {
        "id": "pmt_inst_pd788hPVhLT37",
        "account_id": "acc_GAzrD99cUqGEN",
        "type": "card",
        "card": {
          "number": "5555555555551580",
          "exp_month": "04",
          "exp_year": "2027",
          "billing_zip_code": "12345"
        },
        "network_token": null,
        "inbound_achwire_payment": null,
        "chargeable": true,
        "status": "completed",
        "error": null,
        "created_at": "2025-12-03T19:30:56.039Z",
        "updated_at": "2025-12-03T19:30:56.039Z"
      },
      {
        "id": "pmt_inst_vk423jTNmSR82",
        "account_id": "acc_GAzrD99cUqGEN",
        "type": "network_token",
        "card": null,
        "network_token": {
          "token": "1234567890123456"
        },
        "inbound_achwire_payment": null,
        "chargeable": true,
        "status": "completed",
        "error": null,
        "created_at": "2025-12-03T19:30:56.039Z",
        "updated_at": "2025-12-03T19:30:56.039Z"
      }
    ],
    "message": null
  }
  ```
</ResponseExample>
